Get Company
curl --request GET \
--url https://client-api.dev.finhost.io/v2/companies/{companyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.dev.finhost.io/v2/companies/{companyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.dev.finhost.io/v2/companies/{companyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"adm": "adm:active",
"kyb": "kyb:initiated",
"name": "<string>",
"companyType": "<string>",
"position": "<string>",
"email": "<string>",
"emailVerified": true,
"phone": "<string>",
"contactName": "<string>",
"registrationNumber": "<string>",
"tradingAddress": {
"country": "<string>",
"postCode": "<string>",
"state": "<string>",
"street": "<string>",
"streetLine2": "<string>",
"town": "<string>"
},
"address": {
"country": "<string>",
"postCode": "<string>",
"state": "<string>",
"street": "<string>",
"streetLine2": "<string>",
"town": "<string>"
},
"contractId": "regularContract",
"onboardingFee": {
"status": "paid"
}
}{
"message": "Company not found"
}Companies
Get Company
Get Company
GET
/
v2
/
companies
/
{companyId}
Get Company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Company ID
Response
OK
Administrative Status
Available options:
adm:active, adm:blocked, adm:processed, adm:suspended KYB Status
Available options:
kyb:initiated, kyb:unconfirmed, kyb:confirmed, kyb:pending, kyb:rejected, kyb:resubmission Any Address Info (all properties can be optional, nullable or empty string)
Show child attributes
Show child attributes
Any Address Info (all properties can be optional, nullable or empty string)
Show child attributes
Show child attributes
Contract ID
Required string length:
1 - 256Example:
"regularContract"
Show child attributes
Show child attributes